> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Segment

> Fetches a specific Segment



## OpenAPI

````yaml /api-reference/segments-openapi.json get /prod/segment/{id}
openapi: 3.1.0
info:
  title: segmentation
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: Segments
    description: Audience segmentation
  - name: Subscribers
    description: Subscriber management and tracking
paths:
  /prod/segment/{id}:
    get:
      tags:
        - Segments
      summary: Get Segment
      description: Fetches a specific Segment
      operationId: get-segment
      parameters:
        - name: id
          in: path
          description: Segment ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    idsegment: 245
                    owner: 76cedd11b19e
                    name: 'Sample Segment #1 - Lives In California'
                    definition: region==California
                    idSite: 179
                    createdAt: '2015-12-28 17:54:42'
                    updatedAt: '2015-12-28 17:54:42'
                    deleted: 0
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````